Subject: bug#62029: 29.0.60; Allow users to customize eldoc buffer separator

From: Yuan Fu <[email-masked]>
Date: Wed, 12 Apr 2023 21:20:33 -0700

> On Apr 12, 2023, at 5:20 PM, Dmitry Gutov <[email-masked]> wrote:
> 
> On 12/04/2023 14:06, João Távora wrote:
>>>> elisp-mode.el.  Do you have something to say about that?  Did you try
>>>> the patch I showed Yuan?
>>> I have applied it. What should I be looking at?
>> Right. That's a good sign it itself.  Here, have some more patch:
>>   (setq-default eldoc-documentation-strategy 'eldoc-documentation-compose)
>>   (add-hook 'emacs-lisp-mode-hook
>>     (lambda () (setq-local eldoc-echo-area-use-multiline-p 1)))
>> Then go on with elisp your life and maybe peek into M-x eldoc-doc-buffer
>> once in a while.
> 
> What is the reason to have a special value for Elisp again?

I think it’s just meant to be a user customization. (setq-local eldoc-echo-area-use-multiline-p 1) basically means “don’t blink” (only display one line of doc). But I’m not sure why we need to customize it for elisp buffers, the default value should work more or less the same, no?

Yuan